Bug 273500 - Shadow is offset/clipped wrongly whenshape is a child of (text)shape
Summary: Shadow is offset/clipped wrongly whenshape is a child of (text)shape
Status: VERIFIED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: flake (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-17 18:50 UTC by swathi
Modified: 2012-10-23 08:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot in MS Office (198.82 KB, image/x-png)
2011-05-17 18:50 UTC, swathi
Details
Screenshot in Calligra Words (350.64 KB, image/x-png)
2011-05-17 18:51 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-05-17 18:50:02 UTC
Created attachment 60086 [details]
Screenshot in MS Office

Version: git checkout 9b502d5b387f86a73505d25675762f08c8caf824
        (Using KDE 4.5.5)                
     OS: Kubuntu 10.10
Test data is in MS word 2003 format which has picture with shadow in the 1st page.
Open the same document in Calligra Words, check the shadow of the picture.
Link to Test data: http://averyhurt.com/media-kit/BulletQandA.doc
Expected outcome:
Shadow of the picture should be displayed properly.
Actual outcome:
Shadow of the picture is displaying twice than the expected.
Please check the screenshots attached.
Frequency:
Always.
Comment 1 swathi 2011-05-17 18:51:06 UTC
Created attachment 60087 [details]
Screenshot in Calligra Words
Comment 2 T Zachmann 2012-04-16 06:45:01 UTC
The shadow is no longer twice as big it it is at the wrong position and behaves strangely for the attached document. If I add a different image it works without problems
Comment 3 T Zachmann 2012-04-16 06:56:12 UTC
The clipped shadow happens as soon as the shape is anchored as character to the text.
Comment 4 Camilla Boemann 2012-04-16 07:30:47 UTC
Okay moving to text layout then.

Idea: it may be becasue we use size or outline when determining the obstruction. and that that somehow doesn't include the shadow
Comment 5 Camilla Boemann 2012-04-16 08:35:20 UTC
Hmm it is probably more due to the fact that when anchored it is a child of the text shape. My guess  is that it is this parenting that causes flake to mess up. Moving back
Comment 6 Camilla Boemann 2012-04-21 22:15:09 UTC
Git commit a656f812946c215fd6f2a4a1935dc7584a198e1d by C. Boemann.
Committed on 21/04/2012 at 21:19.
Pushed by boemann into branch 'master'.

Fix shadows for both single shapes and shape group

it also fixes if a shape is child of another shapecontainer

There is some lingering bug with the default tool not using the bounding box
correctly (which can be seen by rotating a shape group)

Shadows for shape groups also don't work correctly through load/save/edit
cycles, but that is not really related to this.

M  +5    -9    libs/flake/KoShapeGroup.cpp
M  +19   -30   libs/flake/KoShapeShadow.cpp

http://commits.kde.org/calligra/a656f812946c215fd6f2a4a1935dc7584a198e1d
Comment 7 swathi 2012-10-23 08:16:33 UTC
Verified in git commit ad0416095c417a8cfa55306ea8959ac0ef4460bb.